I've been bitten by pinning to latest versions before and definitely agree that where possible we should make sure that things are pinned exactly.

Then we can use tools like Whitesource Renovate / Dependabot to manage updates automatically.

Recommended read: Just say no to `:latest` - Platformers https://platformers.dev/log/2022-03-02-latest-literally-kills-puppies/

This post was filed under bookmarks.

Interactions with this post

Interactions with this post

Below you can find the interactions that this page has had using WebMention.

Have you written a response to this post? Let me know the URL:

Do you not have a website set up with WebMention capabilities? You can use Comment Parade.